package com.nuliji.tools.mybatis;

import org.mybatis.generator.api.dom.java.FullyQualifiedJavaType;
import org.mybatis.generator.internal.types.JavaTypeResolverDefaultImpl;

import java.sql.Types;

/**
 * Created by gaojie on 2017/11/4.
 */
public class MybatisResolver extends JavaTypeResolverDefaultImpl {
    public MybatisResolver(){
        super();
        typeMap.put(Types.TINYINT, new JdbcTypeInformation("INTEGER", //$NON-NLS-1$
                new FullyQualifiedJavaType(Integer.class.getName())));
    }
}
